[Autohotkey Script]Open in IE Snippet

파이어폭스에서 인터넷 단축키를 누르면 인터넷익스플로러로 현재 URL을 열어주는 스크립트

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn ; Enable warnings to assist with detecting common errors.
SendMode Input ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir% ; Ensures a consistent starting directory.


#IfWinActive ahk_class MozillaWindowClass ;substitute MozillaWindowClass to your browser class
SC132:: ;substitute SC132 to shortcut what you want
Send, !d
Sleep 70
Send, ^c
Sleep 70
Run, "iexplore" %Clipboard%
Return
#IfWinActive

gif를 webm으로 변환, gif2webm[vp9] Snippet

움직이는 gif는 사실 진작에 사장되었어야 하는 포맷인데, 정말 알 수 없는 이유로 아직까지 많이 쓰이고 있다.

이 쉘스크립트는 ffmpeg animated gif를 webm컨테이너의 vp9로 변환한다.

준비물 : ffmpeg, bash, linux(Or WSL)




#!/bin/bash

if [ "$#" -lt 1 ]; then
echo "$# is Illegal number of parameters."
echo "Usage: $0 gif_filename"
exit 1
fi

# check ffmpeg
if ! [ -x "$(command -v ffmpeg)" ]; then
echo "ffmpeg is not found" >&2
exit 1
fi

args=("$@")

for (( c=0; c<$#; c++ ))
do
ffmpeg -i "${args[$c]}" -c:v libvpx-vp9 -b:v 1M -row-mt 1 "${args[$c]}.webm"
done


두벌식의 「ㅅ」과 「ㅍ」 글쇠 자리를 바꿔보자 기타

새 자판배열

두벌식의 가장 큰 단점이 'ㅅ'글쇠의 위치이다. 왼손 검지에 배당되어 있기는 하지만 누르려면 손목을 써야 하는 위치이다. 그래서 한글 오타를 보면 'ㅅ'과 'ㅆ'오타가 많은 편이다.
반대로 'ㅍ'의 위치는 검지를 살짝만 구부리면 닿기 때문에 상대적으로 누르기 쉽다.
그래서 'ㅅ'과 'ㅍ'을 바꿔보았다.
당연히 윈도우즈 기본 입력기로는 불가능하고, 날개셋으로 별도 간단히 설정하였다.


아직도 적응이 힘들기는 하지만 확실히 오타는 줄었다.




'Open In IE' autohotkey script

Open In IE, IETab 같은 브라우저 애드온을 대체하는 오토핫키스크립트.



#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir% ; Ensures a consistent starting directory.

#IfWinActive ahk_class MozillaWindowClass
;Change 'MozillaWindowClass' to 'Chrome_WidgetWin_1'
SC132::
;Change SC132 to any key code you want
Send, !d
Sleep 70
Send, ^c
Sleep 70
Run, "iexplore" %Clipboard%
Return
#IfWinActive

경찰 승진시험 주관식 답안지 연습장 한글파일(hwp)

경찰 승진시험 주관식 답안지 연습장 한글파일(hwp)


1 2 3 4